Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.applet
Class AppletCommunicationTool.Controller

    java.lang.Object
      ix.iface.util.ToolController
          ix.applet.AppletCommunicationTool.Controller

Enclosing class:
  AppletCommunicationTool

    public static class AppletCommunicationTool.Controller

extends ToolController

A `ToolController` for an `AppletCommunicationTool`.

Field Summary
`(package private) AppletCommunicationStrategy` | `strategy`

Fields inherited from class ix.iface.util.ToolController
`tool, toolName`

Constructor Summary
`AppletCommunicationTool.Controller(AppletCommunicationStrategy strategy)`

Method Summary
`protected java.lang.Object` | `createTool()` Consturucts the tool when it does not already exist.

Methods inherited from class ix.iface.util.ToolController
`ensureTool, ensureToolVisible, getTool, getToolName, setTool, setToolVisible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### strategy

    AppletCommunicationStrategy strategy

Constructor Detail

### AppletCommunicationTool.Controller

    public AppletCommunicationTool.Controller(AppletCommunicationStrategy strategy)

Method Detail

### createTool

    protected java.lang.Object createTool()

  Description copied from class: `ToolController`
  Consturucts the tool when it does not already exist.

  This method should be called only if the `ToolController.getTool()` method returns `null`, and it should not normally be called directly. Call `ToolController.setTool()` instead, or use a method that calls `ToolController.setTool()`, such as `ToolController.ensureTool()`.

  That ensures that createTool is called only once per ToolController and that the controller remembers the tool so that `ToolController.getTool()` can return it. Note, however, that it is not strictly necessary for createTool to construct a new object. In some cases, it might return an existing object that has not yet been made known to this ToolController. For example, if two different frames share a tool, they would have separate `ToolManager`s and separate ToolControllers for the same tool object, but at most one of those controllers should construct a new tool object.

  Specified by:
    `createTool` in class `ToolController`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD